{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends '_layout.html.twig' %}
{% form_theme form with ["@DatatourismeWebApp/Form/bootstrap_3_horizontal_layout.html.twig", _self] %}

{% block title %}{{ "label.wizard_flux" | trans }}{% endblock %}
{% set _breadcrumb = ['label.wizard_flux'] %}
{% import "DatatourismeWebAppBundle::macros.html.twig" as macros %}
{% import ":_includes:macros.html.twig" as appMacros %}

{% block form_label_class -%}col-sm-2{%- endblock form_label_class %}
{% block form_group_class -%}col-sm-10{%- endblock form_group_class %}

{# --- step classes --- #}
{% block step_classes %}
	{%- if loop.index == flow.getCurrentStepNumber() -%}
		{{ 'active' }}
	{%- elseif flow.isStepSkipped(loop.index) -%}
		{{ 'disabled' }}
	{%- elseif flow.isStepDone(loop.index) -%}
		{{ 'complete' }}
	{%- else -%}
		{{ 'disabled' }}
	{%- endif -%}
{% endblock %}

{# --- main content --- #}
{% block content %}
  <section class="content-header">
    <span class="p-t-5 pull-right text-right wizard-result-counter" style="display: none">
      {{ "label.wizard_flux.count" | trans | raw }}
    </span>
    <h1>{{ "label.wizard_flux" | trans }}</h1>
  </section>

  <section class="content">
    <div class="row">
      <div class="col-md-3">
        <ul class="wizard-navigation-links">
        {% for stepLabel in flow.getStepLabels() %}
          {% set linkable = craue_isStepLinkable(flow, loop.index) %}
          <li class="{{ block('step_classes') }}">
            <small>{{ "label.step" | trans }} {{ loop.index }}</small><div>
              {%- if linkable -%}
                <a href="{{ path(app.request.attributes.get('_route'), app.request.query.all | merge(app.request.attributes.get('_route_params')) | craue_addDynamicStepNavigationParameters(flow, loop.index)) }}">{{ stepLabel }}</a>
              {%- else -%}
                <span>{{ stepLabel }}</span>
              {%- endif -%}
            </div>
          </li>
        {% endfor %}
        </ul>
      </div>

      <div class="col-md-9">
        <div class="box box-solid">
          <!-- <div class="box-header with-border">
            <h3 class="box-title">{{ flow.currentStepLabel() }}</h3>
          </div> -->
          {{ form_start(form) }}
            <div class="box-body">
              {{ form_errors(form) }}
              {{ form_widget(form._token) }}
              {{ block('subcontent') }}
            </div>
            {% block step_buttons %}
              {%- set isLastStep = flow.getCurrentStepNumber() == flow.getLastStepNumber() -%}
              {%- set renderBackButton = flow.getFirstStepNumber() < flow.getLastStepNumber() and flow.getCurrentStepNumber() in (flow.getFirstStepNumber() + 1) .. flow.getLastStepNumber() -%}
              <div class="box-footer">
                  {% if renderBackButton %}
                    <button name="{{ flow.getFormTransitionKey() }}" value="back" formnovalidate="formnovalidate" class="btn">{{ 'btn.wizard_flux.prev_step' | trans }}</button>
                  {% endif %}
                  {% set next_label = (isLastStep ? 'btn.create_flux' : 'btn.wizard_flux.next_step') | trans %}
                  <button type="submit" class="btn btn-primary pull-right">{{ next_label }}</button>
              </div>
            {% endblock %}
          {{ form_end(form) }}
        </div>
      </div>
    </div>
  </section>
{% endblock %}

{% block _flux_wizard_checkboxes_widget %}
  <div class="wizard-multiselect-widget" {{ block('widget_container_attributes') }}>
    <div class="checkbox checkbox-all">
        <label><input type="checkbox" class="checkall"> {{ form.vars.attr['data-all-label'] }}</label>
    </div>
    <div class="row">
        {% set cuts = form.vars.attr['data-cols-cut']|split(',') %}
        {% set col = 12/((cuts|length)+1) %}
        <div class="col-sm-{{ col }}">
        {% for name, choices in form.vars.choices %}
            <ul class="list-unstyled">
                <li class="checkbox checkbox-category">
                    <label><input type="checkbox" class="checkallsub" /> {{ name|raw }}</label>
                </li>
                {% for key,choice in choices %}
                    <li class="indent">{{ form_widget(form[key]) }}</li>
                {% endfor %}
            </ul>
            {% if loop.index in cuts %}
                </div><div class="col-sm-{{ col }}">
            {% endif %}
        {% endfor %}
        </div>
    </div>
  </div>
{% endblock %}

{% block javascripts %}
    <script src="{{ asset('assets/scripts/modules/wizard.js') }}"></script>
    <script>_init_wizard_script(JSON.parse('{{ formData|json_encode()|raw }}'));</script>
{% endblock %}

